Subject: Re: [PATCH 0/11] Misc. pull/merge/am improvements

From: Shawn Pearce <[email-masked]>
Date: Sat, 30 Dec 2006 20:21:15 -0500

Junio C Hamano <[email-masked]> wrote:
> > Junio C Hamano <[email-masked]> wrote:
> >> While I was looking at the problem, I noticed something a bit
> >> easier to reproduce and should be lot easier to diagnose.  At
> >> http://userweb.kernel.org/~junio/broken.tar, I have a tarball of
> >> git.git repository.
> >
> 
> I think there is a thinko in the OFS_DELTA arm of that switch
> statement.  You are resetting buf to (in-pack-offset + used), so
> you should fetch the variably encoded length starting from buf[0].

Yes.  Your patch looks correct; that's a really bad thinko on
my part.  Thanks for tracking it down, and fixing it.

-- 
Shawn.